<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: History</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Revision.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">History </div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="section user"><dt>18/10/2017 V1.0.1</dt><dd><ul>
<li>Mise en forme du numéro de version en 'semver' (Semantic Versioning 2.0.0).</li>
<li>Version number converted to 'semver' format (Semantic Versioning 2.0.0).</li>
</ul>
</dd></dl>
<dl class="section user"><dt>17/10/2017 1.01</dt><dd><ul>
<li>Ajout de ArduiEmulator.zip dans extras</li>
<li>Correction dans les moteurs qui ne bougaient plus.</li>
<li>ArduiEmulator.zip added in extras.</li>
<li>Fix of <a class="el" href="classAccessoryMotor.html">AccessoryMotor</a> moving...</li>
</ul>
</dd></dl>
<dl class="section user"><dt>25/09/2017 1.0</dt><dd><ul>
<li>Correction de l'allumage des leds en fading qui ne marchait plus...</li>
<li>Ajout de <a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">Port::GetPinType()</a></li>
<li>Test dans <a class="el" href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">AccessoryBaseLight::SetFading()</a> que le port soit bien de type ANALOG.</li>
<li>Fix of light with fading activated.</li>
<li>Function <a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">Port::GetPinType()</a> added.</li>
<li>Check of pin type which must be ANALOG or ANALOG_INVERTED for fading lights.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>23/09/2017 0.71</dt><dd><ul>
<li>Correction de l'allumage des leds qui ne marchait plus...</li>
<li>Fix of light turning on or off.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>25/08/2017 0.70</dt><dd><ul>
<li>Nouvelle doc accessible par StartDoc.bat ou extras/Doc/index.html</li>
<li>Passage en private de quantité de données et de fonctions.</li>
<li>Tranfert de beaucoup de fonctions statiques de <a class="el" href="classAccessories.html">Accessories</a> vers <a class="el" href="classAccessory.html">Accessory</a>.</li>
<li>L'argument inBlinkMask de AccessoryMultiLight::AddMovingPosition a maintenant une valeur par défaut de 0. 0 : pas de clignotement.</li>
<li>Correction de <a class="el" href="classAccessoryServo.html#a953f43e74fef2596af0ccfbf6ab3397e">AccessoryServo::IsMiscPosition()</a> .</li>
<li>Correction de <a class="el" href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">PortSpeedDirBrake::IsActive()</a></li>
<li>Suppression de Accessory::usestateNone et Accessory::type inutilisés.</li>
<li>ActionStack::CheckIndex inutilisé, a disparu.</li>
<li>positional -&gt; positionnal !</li>
<li>synchrone -&gt; synchronous !</li>
<li>AccessoryLight::IsFlashing -&gt; AccessoryLight-&gt;IsBlinking !</li>
<li>ActionStack::Purge -&gt; ActionStack::Clear</li>
<li>ActionStack::Purge(index) -&gt; ActionStack::Delete(index)</li>
<li>PortServo::GetPin2() -&gt; <a class="el" href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">PortServo::GetDIOPin()</a></li>
</ul>
</dd></dl>
<hr/>
<ul>
<li>New doc available with StartDoc.bat or extras/Doc/index.html</li>
<li>Lots of data and functions passed to private.</li>
<li>Lots of static functions fro <a class="el" href="classAccessories.html">Accessories</a> passed to <a class="el" href="classAccessory.html">Accessory</a>.</li>
<li>Argument inBlinkMask of AccessoryMultiLight::AddMovingPosition has now a default value of 0 (not blink)</li>
<li>Fix of <a class="el" href="classAccessoryServo.html#a953f43e74fef2596af0ccfbf6ab3397e">AccessoryServo::IsMiscPosition()</a>.</li>
<li>Fix of <a class="el" href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">PortSpeedDirBrake::IsActive()</a></li>
<li>Accessory::usestateNone and Accessory::type unused, deleted.</li>
<li>ActionStack::CheckIndex() unused, deleted.</li>
<li>positional -&gt; positionnal !</li>
<li>synchrone -&gt; synchronous !</li>
<li>AccessoryLight::IsFlashing -&gt; AccessoryLight-&gt;IsBlinking !</li>
<li>ActionStack::Purge -&gt; ActionStack::Clear</li>
<li>ActionStack::Purge(index) -&gt; ActionStack::Delete(index)</li>
<li>PortServo::GetPin2() -&gt; <a class="el" href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">PortServo::GetDIOPin()</a></li>
</ul>
<dl class="section user"><dt>15/02/2017 0.60</dt><dd><ul>
<li>Ajout de printMovingPositions()</li>
<li>Ajout de ExternalMove() pour mettre en conformité l'état d'un moteur après une manoeuvre manuelle. <hr/>
</li>
<li>printMovingPositions() added.</li>
<li>ExternalMove() added to set the current state of a motor to its real state after a manual move.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>10/01/2017 0.51</dt><dd><ul>
<li>Correction de <a class="el" href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AccessoryLightMulti::AddMovingPosition()</a>. <hr/>
</li>
<li>Fix <a class="el" href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AccessoryLightMulti::AddMovingPosition()</a>.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>27/12/2016 0.50</dt><dd><ul>
<li>Ajout de printAccessories()</li>
<li>Correction du Event() de Light.</li>
<li>Correction du MoveToggle de <a class="el" href="classAccessoryMotorTwoWays.html">AccessoryMotorTwoWays</a> <hr/>
</li>
<li>printAccessories() added.</li>
<li>Fix Event for lights</li>
<li>Fix MoveToggle of <a class="el" href="classAccessoryMotorTwoWays.html">AccessoryMotorTwoWays</a>.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>04/12/2016 0.45</dt><dd><ul>
<li>Correction de la gestion de groupes.</li>
<li>Correction de la vérification des ports au lancement</li>
<li>Correction de Blink lorsqu'aucun delai n'a été fixé. <hr/>
</li>
<li>Fix group event handling</li>
<li>Fix port check at start.</li>
<li>Fix Blink when no delay has been specified.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>22/11/2016 0.44</dt><dd><ul>
<li>Correction de <a class="el" href="classAccessoryMotor.html">AccessoryMotor</a> qui ne tenait pas compte de la durée d'activation <hr/>
</li>
<li>Fix of <a class="el" href="classAccessoryMotor.html">AccessoryMotor</a> with activation duration used now.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>19/11/2016 0.43</dt><dd><ul>
<li>Passage en 'public' de toutes les fonctions de manipulations basiques des moteurs : MoveLeft, MoveRight, MoveStop, Toggle...</li>
<li>Retrait de la compilation de CircularBuffer lorsque que NO_EEPROM est déclaré. <hr/>
</li>
<li>All basic functions of motors have been passed in 'public'.</li>
<li>Part of code of CircularBuffer removed when NO_EEPROM is used.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>07/11/2016 0.41</dt><dd><ul>
<li>Correction des exemples</li>
<li>Correction des exclusions #define NO_* <hr/>
</li>
<li>Fix of samples.</li>
<li>Fix exclusions with #define NO_*</li>
</ul>
</dd></dl>
<dl class="section user"><dt>04/11/2016 0.40</dt><dd><ul>
<li>Utilisation d'un Circular Buffer local pour la sauvegarde EEPROM <hr/>
</li>
<li>Use of a small version of CircularBuffer to write on EEPROM</li>
</ul>
</dd></dl>
<dl class="section user"><dt>01/11/2016 0.30</dt><dd><ul>
<li>Disparition des tous les drivers ! Il n'y a plus que des ports...</li>
<li>Ajout de la fonction Wait.</li>
<li>Sauvegarde de l'état des accessoires dans l'EEPROM.</li>
<li>Renommage de DEBUG_VERBOSE_MODE en ACCESSORIES_DEBUG_VERBOSE_MODE <hr/>
</li>
<li>All 'Drivers' have been removed, replaced by Ports directly.</li>
<li>Wait function added.</li>
<li><a class="el" href="classAccessories.html">Accessories</a> states can be saved in EEPROM.</li>
<li>Renaming of DEBUG_VERBOSE_MODE to ACCESSORIES_DEBUG_VERBOSE_MODE</li>
</ul>
</dd></dl>
<dl class="section user"><dt>04/09/2016 0.20</dt><dd><ul>
<li>Plus d'initialisation de Serial, pour le DUE. Serial.begin() doit être fait dans le .ino .</li>
<li>Ajout de l'événement ACCESSORIES_EVENT_MOVEPOSITIONID.</li>
<li>un begin() ajouté pour <a class="el" href="classAccessories.html">Accessories</a>.</li>
<li>sur une (fausse) intuition, retrait de tous les 'byte' remplacés par des uint8_t .</li>
<li>Ajout de <a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></li>
<li>Ajout de DriverLMD18200</li>
<li>Ajout de DriverL9110</li>
<li>Ajout de DriverULN2003</li>
<li>Renommage de DriverPortRelay en DriverPortMotor</li>
<li>Renommage de DriverPortL298n en DriverPort2Pins</li>
<li>Renommage de DriverPortServoArduino en DriverPortServoBase</li>
<li>Renommage de DEBUG_MODE en ACCESSORIES_DEBUG_MODE</li>
<li>Correction de ActionStack pour les servos. <hr/>
</li>
<li>No more internal begin() of Serial class, to avoid problems with the DUE.</li>
<li>Serial.begin must be done, if necessary, in .ino file .</li>
<li>Added event ACCESSORIES_EVENT_MOVEPOSITIONID.</li>
<li>Added a begin() function for <a class="el" href="classAccessories.html">Accessories</a>.</li>
<li>Based on a false deduction, replacement of all 'byte' by 'uint8_t'. It is not wrong, but it could have been avoided...</li>
<li>Added <a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></li>
<li>Added DriverLMD18200</li>
<li>Added DriverL9110</li>
<li>Added DriverULN2003</li>
<li>Renaming of DriverPortRelay to DriverPortMotor</li>
<li>Renaming of DriverPortL298n to DriverPort2Pins</li>
<li>Renaming of DriverPortServoArduino to DriverPortServoBase</li>
<li>Renaming of DEBUG_MODE to ACCESSORIES_DEBUG_MODE</li>
<li>Fix ActionStack for servos.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>21/08/2016 V0.19</dt><dd><ul>
<li>Correction de la gestion de mémorisation d'événement durant un mouvement de servo. <hr/>
</li>
<li>Fix event recording during a long servo movement.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>21/08/2016 V0.18</dt><dd><ul>
<li>Tous les exemples fonctionnent et ont été remaniés pour plus de clarté.</li>
<li>Ajout de ACCESSORIES_EVENT_MOVEPOSITIONINDEX</li>
<li>Ajout de <a class="el" href="classAccessories.html#a9e5545dc9783adf1b05c0c2427016d17">Accessories::RaiseEvent()</a></li>
<li>Ajout de UNDEFINED_POS</li>
<li>Ajout de AccessoryMotor::beginTwoWays()</li>
<li>Correction du clignotement dans <a class="el" href="classAccessoryLightMulti.html">AccessoryLightMulti</a></li>
<li>Correction de la duree dans DriverPortL298n <hr/>
</li>
<li>All samples are now fixed, and partially rewritten.</li>
<li>Added ACCESSORIES_EVENT_MOVEPOSITIONINDEX</li>
<li>Added <a class="el" href="classAccessories.html#a9e5545dc9783adf1b05c0c2427016d17">Accessories::RaiseEvent()</a></li>
<li>Added UNDEFINED_POS</li>
<li>Added AccessoryMotor::beginTwoWays()</li>
<li>Fix blinking in <a class="el" href="classAccessoryLightMulti.html">AccessoryLightMulti</a></li>
<li>Fix duration in DriverPortL298n</li>
</ul>
</dd></dl>
<dl class="section user"><dt>17/08/2016 V0.17</dt><dd><ul>
<li>Exemple SignalFrench corrigé <hr/>
</li>
<li>SignalFrench fixed.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>16/08/2016 V0.16</dt><dd><ul>
<li>Encore des exemples corrigés <hr/>
</li>
<li>More samples adapted.</li>
</ul>
</dd></dl>
<dl class="section version"><dt>Version</dt><dd>15/08/2016 V0.15<ul>
<li>Correction de <a class="el" href="classAccessoryMotorTwoWays.html">AccessoryMotorTwoWays</a>, de <a class="el" href="classAccessoryServo.html">AccessoryServo</a>, de DriverL293d et Driver L298n, et de certains exemples. <hr/>
</li>
<li>Fix of <a class="el" href="classAccessoryMotorTwoWays.html">AccessoryMotorTwoWays</a>, of <a class="el" href="classAccessoryServo.html">AccessoryServo</a>, of DriverL293d and Driver L298n, and some samples.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>02/08/2016 V0.1</dt><dd><ul>
<li>Utilisation de la stratégie des événements déjà utilisée dans Commanders.</li>
<li>Utilisation systématique des listes chaînées pour simplifier le codage en évitant de spécifier des tailles.</li>
<li>Utilisation des constructeurs simples, et des fonction 'begin' pour construire et paramétrer les accessoires.</li>
<li>Fonction loop simple qui gère tout ! <hr/>
</li>
<li>Use of event strategy already used in commanders.</li>
<li>Use chained list to simplify user programmation</li>
<li>Use of default constructors to allow simple object declarations, and 'begin' functions to set good arguments.</li>
<li>Easy and simple function 'loop' handling everything.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>01/08/2016 V0 Initial Release</dt><dd><ul>
<li><a class="el" href="classAccessories.html">Accessories</a> est né de la séparation de UniversalAccessoryDecoder en deux bibliothèques : <a class="el" href="classAccessories.html">Accessories</a> et Commanders. <hr/>
</li>
<li><a class="el" href="classAccessories.html">Accessories</a> is born, from the split of UniversalAccessoryDecoder V4 in two parts : <a class="el" href="classAccessories.html">Accessories</a> and Commanders. </li>
</ul>
</dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
